Loading...
Searching...
No Matches
LrYumRepoMd Struct Reference
Repomd (repomd.xml) parser

`#include <repomd.h>`

## Data Fields

char * | revision
char * | repoid
char * | repoid_type
GSList * | repo_tags
GSList * | content_tags
GSList * | distro_tags
GSList * | records
GStringChunk * | chunk

## Detailed Description

Yum repomd.xml.

Definition at line 63 of file repomd.h.

## Field Documentation

## chunk

GStringChunk* chunk

String chunk for repomd strings (Note: LrYumRepomdRecord strings are stored in LrYumRepomdRecord->chunk)

Definition at line 72 of file repomd.h.

## content_tags

GSList* content_tags

List of strings

Definition at line 68 of file repomd.h.

## distro_tags

GSList* distro_tags

List of LrYumDistroTag*

Definition at line 69 of file repomd.h.

## records

GSList* records

List with LrYumRepoMdRecords

Definition at line 70 of file repomd.h.

## repo_tags

GSList* repo_tags

List of strings

Definition at line 67 of file repomd.h.

## repoid

char* repoid

RepoId

Definition at line 65 of file repomd.h.

## repoid_type

char* repoid_type

RepoId type ("sha256", ...)

Definition at line 66 of file repomd.h.

## revision

char* revision

Revision string

Definition at line 64 of file repomd.h.

The documentation for this struct was generated from the following file:

- repomd.h